Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ItemCostType

    java.lang.Object
      nz.co.cks.tms.xml.ItemCostType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ItemCost

public abstract class ItemCostType
extends java.lang.Object
implements java.io.Serializable

Class ItemCostType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_itemCode` Field _itemCode
`private java.math.BigDecimal` | `_itemCost` Field _itemCost

Constructor Summary
`ItemCostType()`

Method Summary
`java.lang.String` | `getItemCode()` Method getItemCodeReturns the value of field 'itemCode'.
`java.math.BigDecimal` | `getItemCost()` Method getItemCostReturns the value of field 'itemCost'.
`boolean` | `isValid()` Method isValid
`void` | `setItemCode(java.lang.String itemCode)` Method setItemCodeSets the value of field 'itemCode'.
`void` | `setItemCost(java.math.BigDecimal itemCost)` Method setItemCostSets the value of field 'itemCost'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _itemCode

    private java.lang.String _itemCode

  Field _itemCode

### _itemCost

    private java.math.BigDecimal _itemCost

  Field _itemCost

Constructor Detail

### ItemCostType

    public ItemCostType()

Method Detail

### getItemCode

    public java.lang.String getItemCode()

  Method getItemCodeReturns the value of field 'itemCode'.

  Returns:
    the value of field 'itemCode'.

### getItemCost

    public java.math.BigDecimal getItemCost()

  Method getItemCostReturns the value of field 'itemCost'.

  Returns:
    the value of field 'itemCost'.

### isValid

    public boolean isValid()

  Method isValid

### setItemCode

    public void setItemCode(java.lang.String itemCode)

  Method setItemCodeSets the value of field 'itemCode'.

  Parameters:
    `itemCode` - the value of field 'itemCode'.

### setItemCost

    public void setItemCost(java.math.BigDecimal itemCost)

  Method setItemCostSets the value of field 'itemCost'.

  Parameters:
    `itemCost` - the value of field 'itemCost'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD